Redmine - Feature #5061

Show time log entries in issue history
2010-03-12 10:37 - Olivier Jacquet

Status: Closed Start date: 2010-03-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

When viewing an issue all updates are shown. But when someone logs time with a comment this isn't shown in the history. So now
we fill in the comment in the update and the time log but a lot of people forget that. | would really love to have the time log entries
display within the history, just like a regular update.

There have been a couple of tickets to display it in the activity displays: #3785, #3809

But I'd like it in the regular issue history as well.

Related issues:

Related to Redmine - Feature #578: Activity report displays added notes as well Closed

Related to Redmine - Feature #12264: Show adding of ticket relations in issue... Closed

Related to Redmine - Feature #3058: Show issue history using tabs Closed 2009-03-26
Has duplicate Redmine - Feature #4371: Include Logged Sent Time as part of co... Closed 2009-12-09
Has duplicate Redmine - Feature #5372: Show "Time Logged" in an Issue's History Closed 2010-04-22
Has duplicate Redmine - Feature #12198: Show related work for a ticket Closed

History

#1 - 2010-03-12 16:38 - Jean-Philippe Lang

- Category set to Time tracking

#2 - 2010-03-19 03:45 - Oleg Volkov

+1

#3 - 2010-06-02 12:42 - Burt Culver

+1 - without this its difficult to match up comments in the time log with updates in the notes. Seems like you could get rid of the time log comments
field all together and just have the notes field on the time log page. Some thought would need to go into the use case where a person enters time for
a few days ago today - would the note appear in the issue notes section under the date the time was logged (today) or the date the time was assigned
to (a few days ago). Seems like it should appear as entered today but with some text that says it was for a few days ago.

#4 - 2010-06-03 09:07 - Nikolay Kotlyarov

+1

#5 - 2011-03-26 07:21 - Hans Bangkok

+1

#6 - 2011-06-02 14:28 - Sergey Zagorodnykh

+1
Guys, it will be very powerful to have this future in next Redmine release!!

Will be GREAT if it will be done in style similar to "Associated revisions" boxes.

#7 - 2011-06-17 15:29 - Andrey Berkovsky

+1

#8 - 2012-05-09 09:50 - Holger Winkelmann
https://www.redmine.org/issues/3785
https://www.redmine.org/issues/3809

+1 for us as well, always thought this is the case by default...

#9 - 2012-07-29 15:30 - H Berntsen

+1

#10 - 2012-08-10 13:53 - Monkey Mind

+6 - One for each one of our developers who use this, no, need this, and who don't have an account here.

#11 - 2012-10-24 21:00 - Bob Pack

This has become very critical for my company, as we seek to meet external timesheet auditing guidelines. Specifically, | need to be able to generate
a report that shows all time updates to a particular issue, including changes to time updates. So, | don't know if this should be a new "related" issue
or not, but | specifically also need to see changes to time updates... otherwise my company cannot adopt Redmine for time tracking, which would be a
huge shame and a big pain for me if we have to duplicate time tracking in a separate system and Redmine.

| hope this feature, with full history of "Spent Time" updates/changes preserved and displayed for recording (CSV output somewhere?), can be
implemented soon!!

#12 - 2012-10-27 10:46 - Daniel Felix

+1

#13 - 2013-01-24 19:04 - Holger Winkelmann

+2 it becomes critical here as well now...

#14 - 2013-12-11 08:46 - Toshi MARUYAMA
- Related to deleted (Feature #1005: Add the addition/removal/change of related issues to the history)

#15 - 2014-04-02 23:09 - Travis Spangle

I've created a plugin to do this. Just in the initial stages but if my company likes it I'll keep updating it.

http://www.redmine.org/plugins/spent_time_in_issue_description

If it would be better for me to take this ticket and implement it myself I'd be happy to do it.

#16 - 2017-05-31 06:30 - Toshi MARUYAMA
- Related to Feature #3058: Show issue history using tabs added

#17 - 2019-06-27 08:11 - Go MAEDA

- File time-entry-history@2x.png added
- Status changed from New to Closed

- Target version set to 4.1.0

- Resolution set to Fixed

The feature has been implemented for upcoming Redmine 4.1.0 (#3058).
